jQuery(function () {
		$('.infoblock').on('click', function(e){
			if( $('.FootnoteContainer-footnote').length > 0 ){
				$('.FootnoteContainer-footnote')[0].remove();
			}
			$('body').prepend("<div class='FootnoteContainer-footnote'><div class='Footnote-root'><button class='Footnote-dismiss'><img src='/img/close.svg' width='10px'></button><h3>"+$(this).attr('data-title')+"</h3>"+$(this).attr('data-info').replace(/\n/,'<br>')+"</div></div>" );
			var b = $('.FootnoteContainer-footnote')[0];
			console.log(e);
			$(b).css('top',e.pageY+'px');
			var wi = this.parentElement.clientWidth;
			var ds = document.documentElement.scrollWidth;
			if( wi+320 > ds ) wi = 2;
			$(b).css('left',wi+'px');
			if( $(this).attr('type') == '2' ){
				$('.Footnote-root').addClass('Footnote-type2');
			}
			$('.Footnote-dismiss').on('click', function(e){
				$('.FootnoteContainer-footnote')[0].remove();
			});

		});
		//подстроить фотки чуть меньшего размера до 100%
		var div = document.getElementById('post');
		img = $('.post img');
		$.each(img, function( ) {
			if( this.width > 0 ){
				if (this.width > div.offsetWidth-200) {
					$(this).css({'width': '100%', 'height': '100%'});
				}
			}
			this.onload = function(){
				console.log(div.offsetWidth);
				if (this.width > div.offsetWidth-200) {
					$(this).css({'width': '100%', 'height': '100%'}); //TODO: вот это всё вот очень спорно
				}
			}
		});
		img = $('.pic');
		$.each(img, function( index, value ) {
			width = Number($(this).css('width').replace('px',''));
			if ( width > div.offsetWidth-200) {
					$(this).css({'width': '100%'});
			}
		});
/*
		 $.each($('.post iframe'), function( index, value ) {
		 	width = Number($(this).css('width').replace('px',''));
		 	if (width > div.offsetWidth-300) {
		 			height = Number($(this).css('height').replace('px',''));
		 			h = height/width*div.offsetWidth;
		 			$(this).css({'width': '100%', 'height': h+'px'});
		 	}
		 }); //попробую перенести в рендер Вот это меняется просто в цсс на .post iframe {width: 100%;height: auto;aspect-ratio: 16/9;} не все iframe 16.9
*/
/*
			elVideo = document.getElementById('adv');
			elVideo.addEventListener('DOMNodeInserted', function () {
				console.log('start instream');
				vidDiv = document.getElementById('adv');
				vidDiv.classList.remove('overlayadv');
			}, false);
*/
	function resrec(){
        s = jQuery('#post').height()*jQuery('#post').width();
        sr = (s*0.05);
        hr = Math.round( sr/( jQuery('.med_advertisement').width() ) );
        //              alert(hr);
        if( jQuery('.med_advertisement').height() < hr ){
            jQuery('.med_advertisement').height( hr );
        }
         jQuery('.med_advertisement').css({"display":"inline-block","width":"100%","line-height": "normal"});
    }
    resrec();
    (function($) {
        $.fn.textfill = function(options) {
            var fontSize = options.maxFontPixels;
            var ourText = jQuery('span:visible:first', this);
            var maxHeight = jQuery(this).height();
            var maxWidth = jQuery(this).width();
            var textHeight;
            var textWidth;
            do {
                ourText.css('font-size', fontSize);
                textHeight = ourText.height();
                textWidth = ourText.width();
                fontSize = fontSize - 1;
            } while ((textHeight > maxHeight || textWidth > maxWidth) && fontSize > 3);
            return this;
        }
    })(jQuery);

    $(document).ready(function() {
        jQuery('.med_advertisement').wrapInner('<span></span>');
        jQuery('.med_advertisement').textfill({ maxFontPixels: 100 });
    });
    $( window ).resize(function() {
        resrec();
        jQuery('.med_advertisement').textfill({ maxFontPixels: 100 });
    });

});

function loadScript( url, time )
{
	setTimeout( function(){
		var head = document.getElementsByTagName('head')[0];
		var script = document.createElement('script');
		script.type = 'text/javascript';
		script.async = true;
		script.src = url;
		head.appendChild(script);
	}, time );
}
